keys.hpp File Reference

Forward declares `boost::hana::keys`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr keys_t | boost::hana::keys {}
| Returns a `Sequence` containing the name of the members of the data structure.Given a `Struct` object, `keys` returns a `Sequence` containing the name of all the members of the `Struct`, in the same order as they appear in the `accessors` sequence. More...

## Detailed Description

Forward declares `boost::hana::keys`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)